<div
  class="flex-row full-height full-width overflow-hidden neutral-background-color"
  [sqtmCoreWorkspace]="workspaceName"
>
  <sqtm-core-nav-bar class="full-height flex-fixed-size"></sqtm-core-nav-bar>

  @if (uiState$ | async; as uiState) {
    <div class="full-height full-width overflow-hidden flex-column">
      <sqtm-core-configurable-banner />

      <div class="p-10 flex-grow-shrink flex-column full-height">
        <div
          class="sqtm-core-screen-title title-bar flex-row flex-fixed-sized flex align-items-center"
        >
          <sqtm-core-history-back-button class="m-t-5">
          </sqtm-core-history-back-button>

          @if (!uiState.showFilterManager) {
            <div class="flex-fixed-size search-tc-header">
              <span
                [attr.data-test-element-id]="'unfold-filter-panel-button'"
                class="current-workspace-main-color font-16-px __hover_pointer"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.generic.label.collapse' | translate
                "
                (click)="toggleFilterPanel()"
              >
                <i
                  nz-icon
                  nzType="sqtm-core-generic:show"
                  nzTheme="outline"
                ></i>
              </span>
              <span class="m-l-10">{{ titleKey | translate }}</span>
            </div>
          } @else {
            <div class="flex-fixed-size search-tc-header">
              <span class="m-l-10">{{ titleKey | translate }}</span>
            </div>
            <span
              [attr.data-test-element-id]="'fold-filter-panel-button'"
              class="current-workspace-main-color font-16-px __hover_pointer"
              nz-tooltip
              [nzTooltipTitle]="'sqtm-core.generic.label.expand' | translate"
              (click)="toggleFilterPanel()"
            >
              <i nz-icon nzType="sqtm-core-generic:hide" nzTheme="outline"></i>
            </span>
            <span class="m-l-10 txt-ellipsis"
              >{{ resultTitleKey | translate }}
            </span>
          }
        </div>

        <div class="flex-fixed-size flex-row m-b-10">
          <!--  Content projection slot used for button bar -->
          <ng-content></ng-content>
        </div>
        <div
          class="full-height full-width flex-row overflow-hidden container-background-color p-10 container-border"
        >
          @if (
            uiState.showFilterManager && gridService.uiState$ | async;
            as gridUiState
          ) {
            <sqtm-core-filter-manager
              class="full-height flex-fixed-size sqtm-grid-side-panel"
              [showExtendedScopeOptionInFilterPanel]="
                gridUiState.showExtendedScopeOptionInFilterPanel
              "
            >
            </sqtm-core-filter-manager>
          }
          <div class="full-height full-width overflow-hidden">
            <sqtm-core-grid></sqtm-core-grid>
          </div>
        </div>
      </div>
    </div>
  }
</div>
